import Checkbox from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const list = [
    {
        value: 'apple',
        label: 'Apple',
        disabled: false,
    },
    {
        value: 'pear',
        label: 'Pear',
    },
    {
        value: 'orange',
        label: 'Orange',
        disabled: true,
    },
];
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            value: 'apple',
        };
        this.onChange = value => {
            this.setState({
                value,
            });
        };
    }
    render() {
        return (React.createElement(Checkbox.Group, { dataSource: list, value: this.state.value, onChange: this.onChange }));
    }
}
ReactDOM.render(React.createElement(App, null), document.getElementById('checkbox-demo-6'));
